require 'thor'
require 'git_clone/version'

module GitClone
  class CLI < Thor

    # version
    desc 'version', 'GitClone version'
    map %w(-v --version) => :version
    def version
      puts "GitClone #{GitClone::VERSION}"
    end

    # clone
    desc 'clone', 'clone a repo using ssh'
    method_option :org,
                  :aliases => "-o",
                  :desc => "repo organization",
                  :type => :string
    method_option :git_options,
                  :aliases => "-g",
                  :desc => "options for git clone",
                  :type => :string
    def clone(repo)
      git_repo= repo + '.git'
      git_repo= options[:org] + '/' + git_repo if options[:org]
      `git clone git@github.com:#{git_repo} #{options[:git_options]}`
    end
  end
end
